Page 2 of 2 FirstFirst 12
Results 11 to 19 of 19

Thread: Qt configure error: Basic XLib functionality test failed

  1. #11
    Join Date
    Nov 2009
    Beans
    1

    Re: Qt configure error: Basic XLib functionality test failed

    Martinreddy's solution worked also for me on Red Hat Linux 5.3 after:

    yum install libXext-devel


  2. #12
    Join Date
    Jan 2008
    Beans
    8

    Re: Qt configure error: Basic XLib functionality test failed

    Installed libxext-dev and configure worked on Ubuntu 10.04 (Lucid) using Qt 4.7 beta.

  3. #13

    Smile Re: Qt configure error: Basic XLib functionality test failed

    I had the same problem. I installed zillions of -dev X libraries to no avail. But as soon as I installed libxext-dev as suggested here, the error went away and Qt is now building...
    Thanks!

  4. #14
    Join Date
    Jun 2010
    Beans
    2

    Re: Qt configure error: Basic XLib functionality test failed

    Hi guys,

    installing the libxext-lib was probably a prerequisite for me too, but that wasn't enough on my x64 10.04 Ubuntu.

    I actually checked the qt/mkspecs/linux-g++-64/qmake.conf
    The two suggested variables in the error output were pointing out to a
    /usr/X11R6/lib64
    but on my setup, there was no folder X11R6, but instead the needed stuff was directly under /usr/lib64

    So I ripped the X11R6 from both paths and now it configures.

  5. #15
    Join Date
    Jun 2010
    Beans
    1

    Smile Re: Qt configure error: Basic XLib functionality test failed

    Thanks martinreddy! Much appreciated.

  6. #16
    Join Date
    Oct 2010
    Beans
    34

    Re: Qt configure error: Basic XLib functionality test failed

    Thanks for the hint
    On Ubuntu 10.10 here
    I downloaded libX11dev and libXext-dev,
    besides I modified the spec file to point to /usr/include/X11 and /usr/lib/X11 instead of usr/X11R6/include & lib. (I donno if the last step played any role, though)

  7. #17
    Join Date
    Nov 2010
    Beans
    6

    Re: Qt configure error: Basic XLib functionality test failed

    hi guys, you ever read the appropriate Qt page:
    "Qt for X11 Requirements" ???

    http://doc.qt.nokia.com/4.7/requirements-x11.html

    got the same error messages as you described above, but perfectly worked after following that Qt page

  8. #18
    Join Date
    Jan 2007
    Beans
    4

    Re: Qt configure error: Basic XLib functionality test failed

    Still get this error on Linux Mint 13 and Martinreddy's solution worked also for me. As Wolfgang mentioned, now I should give some credit to the requirements page next time. \o/

  9. #19
    Join Date
    Sep 2012
    Beans
    2

    Thumbs down Re: Qt configure error: Basic XLib functionality test failed

    Thanks martinreddy. It worked for me in one go.

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •